/*
 * Project    : ipv6calc
 * File       : ipv6calchelp.h
 * Version    : $Id: ipv6calchelp.h,v 1.4 2002/04/05 19:11:13 peter Exp $
 * Copyright  : 2002 by Peter Bieringer <pb (at) bieringer.de>
 *
 * Information:
 *  Header file for ipv6calchelp.c
 */

#if defined(__NetBSD__)
#include <inttypes.h>
#else
#include <stdint.h>
#endif

/* defined in each main program */
extern void printhelp_info(void);
extern void printhelp_copyright(void);
extern void printhelp_version(void);

/* defined in ipv6calchelp.c */
/* extern void printhelp_print(void); */
/* extern void printhelp_mask(void); */
/* extern void printhelp_case(void); */
/* extern void printhelp_printstartend(void); */

extern void printhelp_doublecommands(void);
extern void printhelp_missinginputdata(void);
extern void printhelp_inputtypes(void);
extern void printhelp_outputtypes(const uint32_t inputtype);
extern void printhelp_actiontypes(void);
extern void printhelp(void);
extern void printhelp_oldoptions(void);
extern void printhelp_output_dispatcher(const uint32_t outputtype);
